Subject: Re: Nokia N900 on 5.4 and 5.5

From: Tony Lindgren <[email-masked]>
Date: Fri, 7 Feb 2020 08:36:23 -0800

Hi,

* H. Nikolaus Schaller <[email-masked]> [200207 15:52]:
> 
> > Am 07.02.2020 um 15:54 schrieb Merlijn Wajer <[email-masked]>:
> > 
> > Hi,
> > 
> > I've tried to build 5.4.18 and 5.5.2 for the Nokia N900, using
> > omap2plus_defconfig. Using appended DTB, like so:
> > 
> > $ cat arch/arm/boot/zImage arch/arm/boot/dts/omap3-n900.dtb > zImage.dtb
> > $ mkimage -A arm -O linux -T kernel -C none -a 80008000 -e 80008000 -n
> > zImage -d zImage.dtb uImage
> > 
> > But they both fail to boot for me - the device resets almost instantly:
> > 
> >> data abort
> >> 
> >>    MAYBE you should read doc/README.arm-unaligned-accesses
> >> 
> >> pc : [<8000c878>]          lr : [<80008160>]
> >> sp : 803c46c8  ip : 003a1870     fp : 003a1848
> >> r10: 803ba890  r9 : 00caa42c     r8 : 80000100
> >> r7 : 000007a3  r6 : 803a9878     r5 : 80000100  r4 : 80008000
> >> r3 : 00004e6c  r2 : 00019fa8     r1 : 803a9878  r0 : 00000000
> >> Flags: nZcv  IRQs off  FIQs on  Mode SVC_32
> >> Resetting CPU ...
> >> 
> >> resetting ...
> > 
> > Full log below. I tried the same with "-Os" instead of "-O2" ; to no avail.
> > 
> > Any clue what could be up?
> 
> I can only tell that I have successfully running 5.5.2 on GTA04A5 (dm3730
> but with our own defconfig). This may reduce the number of problem areas
> a little.

Looks like there's a regression in general for appended dtb booting that
was caused by commit 9f671e58159a ("security: Create "kernel hardening"
config area"). With that change we now get STACKPROTECTOR_PER_TASK
selected by default with Kconfig.

Merlijn, care to try to disable STACKPROTECTOR_PER_TASK in your
.config to see if that helps?

Not sure why appended dtb boot now breaks though.. Could be just the
zImage uncompressing over dtb again? Any ideas?

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel